# Class Document

java.lang.Object
org.apache.jmeter.util.Document

public class Document extends Object

## Constructor Summary

Constructors
Constructor
Description
`Document()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getTextFromDocument(byte[] document)`
Convert to text plain a lot of kind of document (like odt, ods, odp, doc(x), xls(x), ppt(x), pdf, mp3, mp4, etc.) with Apache Tika

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Document

public Document()

## Method Details

### getTextFromDocument

public static String getTextFromDocument(byte[] document)
Convert to text plain a lot of kind of document (like odt, ods, odp, doc(x), xls(x), ppt(x), pdf, mp3, mp4, etc.) with Apache Tika

Parameters:
  `document` - binary representation of the document
Returns:
  text from document without format